Bug 1012148 - Conductor should be able to start multiple workers
Conductor should be able to start multiple workers
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-nova (Show other bugs)
unspecified
All Linux
unspecified Severity medium
: ---
: Grizzly
Assigned To: Xavier Queralt
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 16:13 EDT by Dan Smith
Modified: 2014-06-18 03:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-nova-2013.1.4-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1012143
Environment:
Last Closed: 2014-03-24 03:45:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Smith 2013-09-25 16:13:26 EDT
+++ This bug was initially created as a clone of Bug #1012143 +++

Description of problem:

Any reasonable deployment needs more than one conductor process and grizzly did not support this natively. Right now, this is only workable if someone runs a conductor on several machines or starts multiple processes manually. We should have an /etc/sysconfig/nova-conductor config point to specify how many daemons to start so that it's easy to start multiple daemons on a single system.

Version-Release number of selected component (if applicable):

openstack-nova-conductor-2013.1.3-2.el6

How reproducible:

Very.

Steps to Reproduce:
1. Deploy conductor on one machine
2. Deploy compute on many machines
3. Notice failures and poor performance

Actual results:

Everything funnels through a single conductor.

Expected results:

Multiple conductors should be started to spread out the load.

Additional info:

This should be pretty easy to do in the script, starting multiple workers, with log files and pid files like /var/log/nova/conductor-$i.log, etc.

Note You need to log in before you can comment on or make changes to this bug.